Subject: 24.4; Emacs fails to save enriched buffer with error message `wrong-type-argument symbolp "bold"'
From: Jorge <[email-masked]>
To: [email-masked]
Date: Thu, 19 Feb 2015 15:15:40 -0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Download the attached files to the same directory.  In GNU Bash, with that
directory current, run
emacs -Q --script bug_script.el &> bug_output.txt

I ran the above command for emacs versions 24.4.1 and 24.4.90.  The output
is in `bug_output_24.4.1.txt' and `bug_output_24.4.90.txt' respectively.  The
bug manifests in both tested Emacs versions.
To compose the initial draft of this bug report, I ran
emacs -Q -l bug_script.el
and then called `report-emacs-bug' with the enriched buffer that fails to be
saved as the current buffer.

So, the input file (`enriched_bug_orig.txt') is in enriched mode, and consists
of one `0' followed by newlines.  I expected Emacs to write the buffer to
`enriched_bug_edited.txt', make the `0' bold, and save the buffer.  In
practice, Emacs does make the `0' bold, but then fails to save the buffer.  The
second line of bug_script.el is `(toggle-debug-on-error)' so Emacs should have
provided useful information.

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2) of
 2015-01-15 on jorge-Notebook-HP-G42
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description: Ubuntu 14.10

Configured using:
 `configure --prefix=/usr/local/emacs'

Important settings:
  value of $LC_MONETARY: pt_BR.UTF-8
  value of $LC_NUMERIC: pt_BR.UTF-8
  value of $LC_TIME: pt_BR.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  enriched-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  use-hard-newlines: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x o C-x o C-x C-f ~ / D e s k <tab> t r a b a l h
o <tab> <return> C-x o M-x r e p o r t - e m <tab>
<return> C-g C-x o C-x 3 C-x o C-x C-f C-g C-x b <return>
C-f C-SPC C-e C-b M-w C-x o M-x r e p o r t - e m <tab>
<return>

Recent messages:
Note: file is write protected
Saving file /home/jorge/tmp/emacs_enriched_bug/enriched_bug_edited.txt...
Enriched: encoding document...
Wrote /home/jorge/tmp/emacs_enriched_bug/enriched_bug_edited.txt
Saving file /home/jorge/tmp/emacs_enriched_bug/enriched_bug_edited.txt...
Enriched: encoding document...
Entering debugger...
Enriched: decoding document...
Indenting...
Quit [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu debug disp-table
enriched cus-start cus-load time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 83013 6903)
 (symbols 48 18640 0)
 (miscs 40 67 174)
 (strings 32 11108 4144)
 (string-bytes 1 292848)
 (vectors 16 9828)
 (vector-slots 8 391654 14920)
 (floats 8 72 382)
 (intervals 56 263 1)
 (buffers 960 16)
 (heap 1024 41562 939))